:root {
    --border-color: #b9b1b152;
}


.header-podcast {
    background: var(--single-podcast-gradient);
    color: var(--white-color);
    height: 750px;
    display: flex;

    @media (max-width: 767px) {
        height: 700px;
    }

    @media (min-width: 768px) {
        height: 900px;
    }

    @media (min-width: 768px) {
        height: 900px;
    }

    @media (max-width: 991px) {
        flex-direction: column-reverse;
        height: 100vh;
    }

    @media (min-width: 992px) {
        height: 750px;
        gap: 20px;
    }

    .title {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding-top: 15px;

        @media (max-width: 991px) {
            padding: 15px;

            h2 {
                text-align: center;
                margin-bottom: 10px;
            }
        }

        @media (min-width: 992px) {
            padding-left: 20px;
        }

        @media (min-width: 1300px) {
            width: 40%;
        }

        @media (min-width: 1400px) {
            width: 45%;
        }

        @media (min-width: 1450px) {
            width: 40%;
        }

        @media (min-width: 1600px) {
            width: 30%;
        }

        .card-info {
            border-bottom: 1px solid var(--white-color);
            border-top: 1px solid var(--white-color);
            padding: 0.7rem 0;
            margin-bottom: 1rem;

            span {
                font-size: 16px;
                font-family: 'readex', serif;
                font-weight: 300;
                padding: 0.1rem 0;
                flex-grow: 1;
                text-align: center;
            }

            span:nth-child(1) {
                border-right: 1px solid var(--white-color);
            }

            span:nth-child(3) {
                border-left: 1px solid var(--white-color);
            }
        }

        .header-platform-links {
            display: flex;
            flex-direction: column;
            gap: 10px;
            margin-top: 10px;
            justify-content: center;
            align-items: center;
            .platform-label {
                font-size: 14px;
                opacity: 0.8;
                text-transform: uppercase;
                font-family: 'readex', serif;
                font-weight: 300;
            }

            .main-links {
                display: flex;

                div {
                    display: flex;
                    flex-wrap: wrap;
                    gap: 8px;

                    a {
                        background-color: transparent;
                        color: var(--white-color);
                        border: 1px solid var(--white-color);
                        padding: 8px 15px;
                        cursor: pointer;
                        text-wrap: nowrap;
                        font-size: 14px;
                        transition: all 0.3s ease;
                        text-decoration: none;

                        &:hover {
                            background-color: var(--white-color);
                            color: var(--dark-color);
                            opacity: 1;
                        }
                    }
                }
            }
        }
    }

    .image {
        width: 45%;
        max-width: fit-content;
        height: 100%;
        margin-left: auto;

        @media (max-width: 1200px) {
            width: 100%;
        }

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }
}


.audio-player {
    background: var(--dark-color);
    padding: 8px 15px;
    width: 100%;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.5);
    position: sticky;
    top: 0;

    .player-content {
        display: flex;
        justify-content: space-between;
        gap: 12px;
        direction: ltr;
        align-items: center;


        @media (max-width: 767px) {
            align-items: normal;
            flex-direction: column;
            gap: 20px;
        }

        .album {
            display: flex;
            align-items: center;
            flex-shrink: 0;
            gap: 10px;

            @media (max-width: 767px) {
                flex-grow: 1;

                button,
                a {
                    margin-left: auto;
                }
            }

            .album-art {
                width: 45px;
                height: 45px;
                border-radius: 6px;
                overflow: hidden;

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }
            }

            .track-info {
                color: var(--white-color);
                font-size: 12px;
                margin-left: 10px;
                flex-shrink: 0;
            }

            .play-btn {
                width: 35px;
                height: 35px;
                background: transparent;
                border: none;
                border-radius: 50%;
                color: var(--white-color);
                font-size: 11px;
                cursor: pointer;
                display: flex;
                align-items: center;
                justify-content: center;
                border: 1px solid rgba(255, 255, 255, 0.267);
                box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
                transition: all 0.2s ease;
                flex-shrink: 0;

                &:hover {
                    opacity: 0.5;
                }
            }
        }

        .controls {
            display: flex;
            align-items: center;
            gap: 10px;
            flex-grow: 1;

            .time-display,
            .duration {
                color: var(--white-color);
                font-size: 11px;
                font-family: monospace;
                flex-shrink: 0;
                text-align: left;
            }

            .progress-container {
                flex: 1;
                height: 12px;
                position: relative;
                display: flex;
                align-items: center;
            }

            .progress-slider {
                width: 100%;
                height: 4px;
                background: rgba(255, 255, 255, 0.24);
                border-radius: 2px;
                outline: none;
                appearance: none;
                cursor: pointer;
                position: relative;

                &::-webkit-slider-track {
                    height: 4px;
                    background: #1a0f08;
                    border-radius: 2px;
                }

                &::-webkit-slider-thumb {
                    appearance: none;
                    width: 12px;
                    height: 12px;
                    background: var(--white-color);
                    border-radius: 50%;
                    cursor: pointer;
                    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
                    margin-top: -4px;
                }

                &::-moz-range-track {
                    height: 4px;
                    background: #1a0f08;
                    border-radius: 2px;
                    border: none;
                }

                &::-moz-range-thumb {
                    width: 12px;
                    height: 12px;
                    background: var(--white-color);
                    border-radius: 50%;
                    cursor: pointer;
                    border: none;
                    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
                }

                &::-moz-range-progress {
                    height: 4px;
                    background: var(--white-color);
                    border-radius: 2px;
                }

                &::before {
                    content: '';
                    position: absolute;
                    top: 0px;
                    left: 0;
                    height: 4px;
                    background: var(--white-color);
                    border-radius: 2px;
                    width: var(--progress, 0%);
                    pointer-events: none;
                }
            }

        }

        .volume-container {
            width: 150px;
            height: 12px;
            position: relative;
            margin-left: 8px;
            flex-shrink: 0;
            display: none;
            align-items: center;

            @media (min-width: 767px) {
                display: flex;

            }

            .volume-slider {
                width: 100%;
                height: 4px;
                background: rgba(255, 255, 255, 0.24);
                border-radius: 2px;
                outline: none;
                appearance: none;
                cursor: pointer;
                position: relative;

                &::-webkit-slider-track {
                    height: 4px;
                    background: #1a0f08;
                    border-radius: 2px;
                }

                &::-webkit-slider-thumb {
                    appearance: none;
                    width: 12px;
                    height: 12px;
                    background: var(--white-color);
                    border-radius: 50%;
                    cursor: pointer;
                    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
                    margin-top: -4px;
                }

                &::-moz-range-track {
                    height: 4px;
                    background: #1a0f08;
                    border-radius: 2px;
                    border: none;
                }

                &::-moz-range-thumb {
                    width: 12px;
                    height: 12px;
                    background: var(--white-color);
                    border-radius: 50%;
                    cursor: pointer;
                    border: none;
                    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
                }

                &::-moz-range-progress {
                    height: 4px;
                    background: var(--white-color);
                    border-radius: 2px;
                }

                &::before {
                    content: '';
                    position: absolute;
                    top: 0px;
                    left: 0;
                    height: 4px;
                    background: var(--white-color);
                    border-radius: 2px;
                    width: var(--volume, 70%);
                    pointer-events: none;
                }
            }
        }

        @media (max-width: 480px) {
            .audio-player {
                padding: 6px 10px;

                .player-content {
                    gap: 8px;
                }

                .album-art {
                    width: 35px;
                    height: 35px;
                }

                .play-btn {
                    width: 24px;
                    height: 24px;
                    font-size: 10px;
                }

                .volume-container {
                    width: 40px;
                }
            }
        }
    }
}

.hidden-audio {
    display: none;
}


.content {
    color: var(--white-color);
    padding: 50px 20px 30px;

    @media (min-width: 992px) {
        h5 {
            text-indent: 50px;
        }
    }
}

.center {
    color: var(--white-color);
    display: grid;
    grid-template-columns: 1fr;
    border-bottom: 1px solid var(--border-color);
    margin-bottom: 50px;

    @media (min-width: 992px) {
        grid-template-columns: repeat(2, 1fr);
        border-top: 1px solid var(--border-color);
    }

    .left {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 2rem 20px 50px;
        align-items: flex-start;
        color: var(--white-color);

        span {
            font-size: 18px;
            text-transform: uppercase;
        }

        span:last-of-type {
            margin-top: 0.5rem;
        }



        @media (max-width: 991px) {
            .divdir {
                border-top: 1px solid var(--border-color);
                width: 100%;
                margin-top: 10px;
            }
        }

        .main-links {
            display: flex;

            div {
                display: flex;
                flex-wrap: wrap;
                gap: 0.3rem;

                button,
                a {
                    background-color: transparent;
                    color: var(--white-color);
                    border: 1px solid var(--white-color);
                    padding: 14px 18px;
                    cursor: pointer;
                    text-wrap: nowrap;

                    &:hover {
                        opacity: 0.7;
                    }
                }
            }
        }
    }

    .right {

        display: flex;
        flex-direction: column;
        padding: 2rem 20px 40px;
        align-items: flex-end;

        @media (max-width: 991px) {
            order: -1;
            border-bottom: 1px solid var(--border-color);
        }

        @media (min-width: 992px) {
            margin-top: 20px;
            gap: 1.5rem;
        }
    }


}


.explore-podcast {
    color: var(--white-color);
    padding: 0 20px 20px;

    @media (min-width: 768px) {
        padding: 0 20px 80px;
    }

    h3 {
        text-align: center;
    }

    & .card-list {
        display: flex;
        flex-wrap: wrap;
        gap: 25px 10px;
        padding-top: 2rem;

        @media (min-width: 992px) {
            gap: 65px 10px;
        }

        & .card {
            display: flex;
            flex-direction: column;

            @media (min-width: 768px) {
                width: calc((100% - 20px) / 2);
            }

            @media (min-width: 992px) {
                width: calc((100% - 20px) / 3);
            }

            img {
                width: 100%;
                object-fit: cover;
                aspect-ratio: 1/1;
            }

            .card-info {
                border-bottom: 1px solid var(--main-color);
                padding: 0.4rem 0;
                margin-bottom: 1rem;

                span {
                    font-size: 16px;
                    font-family: 'readex', serif;
                    font-weight: 300;
                    padding: 0.1rem 0;
                    flex-grow: 1;
                    text-align: center;
                }

                span:nth-child(1) {
                    border-right: 1px solid var(--main-color);
                }

                span:nth-child(3) {
                    border-left: 1px solid var(--main-color);
                }
            }

            h4 {
                text-align: center;

                @media (max-width: 768px) {
                    font-size: 40px;
                    line-height: 100%;
                }
            }

            .card-description {
                font-size: 14px;
                color: var(--white-color);
                text-align: center !important;
                margin-top: 0.5rem;
                line-height: 1.4;
                font-family: 'readex', serif;
                font-weight: 300;
                opacity: 0.9;
            }
        }
    }
}

.mobile-footer {
    border-top: 1px solid var(--white-color-opacity);
}